unit Unit36;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OleCtrls, SHDocVw, StdCtrls, CDO_TLB, ADODB_TLB, UrlMon;

type
  TForm36 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    WebBrowser1: TWebBrowser;
    SaveDialog1: TSaveDialog;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form36: TForm36;

implementation

{$R *.dfm}

 function DownloadFile(SourceFile, DestFile: string): Boolean;
 begin
   try
     Result := UrlDownloadToFile(nil, PChar(SourceFile), PChar(DestFile), 0,
       nil) = 0;
   except
     Result := False;
   end;
 end;

procedure SaveURLasMHT(const url: String; const fileName: String);
var
  Msg: IMessage;
  Conf: IConfiguration;
  Stream: _Stream;
begin
  Msg := CoMessage.Create;
  Conf := CoConfiguration.Create;
  Msg.Configuration := Conf;
  Msg.CreateMHTMLBody(URL, cdoSuppressAll, '', '');
  Stream := Msg.GetStream;
  Stream.SaveToFile(FileName, adSaveCreateOverWrite);
end;


procedure TForm36.Button1Click(Sender: TObject);
begin
WebBrowser1.Navigate(Edit1.Text);
end;

procedure TForm36.Button2Click(Sender: TObject);
 var
   k, p: Integer;
   Source, dest, ext: string;
begin
if savedialog1.Execute then
begin
  SaveURLasMHT(webBrowser1.LocationURL,savedialog1.fileName);
 begin
   for k := 0 to WebBrowser1.OleObject.Document.Images.Length - 1 do
   begin
     Source := WebBrowser1.OleObject.Document.Images.Item(k).Src;
     p := LastDelimiter('.', Source);
     ext := UpperCase(Copy(Source, p + 1, Length(Source)));
     if (ext = 'GIF') or (ext = 'JPG') then
     begin
       p  := LastDelimiter('/', Source);
       dest := ExtractFilePath(savedialog1.fileName) + Copy(Source, p + 1,
         Length(Source));
       DownloadFile(Source, dest);
     end;
   end;
 end;
end;
end;

end.
